Nach MySQL-update auf 4.1 funktiniert einiges nicht mehr!!!

MySQL, PostgreSQL, SQLite
unique
Posts: 40
Joined: 2003-03-24 20:05

Nach MySQL-update auf 4.1 funktiniert einiges nicht mehr!!!

Post by unique » 2003-12-11 11:59

hallo community,

ich habe ein mysql-update von version 3.23 auf 4.1 gemacht - danach haben einige sachen nicht mehr funktioniert:

auf dem server laufen mehrere boards (woltlab bb 1) - folgende Fehlermeldung erscheint:

Code: Select all

Database error in WoltLab Burning Board: Invalid SQL: SELECT userid, username, boardid FROM bb1_object2board LEFT JOIN bb1_user_table ON (bb1_object2board.objectid = bb1_user_table.userid) WHERE mod = 1 ORDER BY username ASC 
mysql error: You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near '= 1 ORDER BY username ASC' at line 1 
mysql error number: 1064 
Date: 11.12.2003 @ 11:46 
Script: /intern/main.php 
Referer: 
Auch phpMyAdmin funzt nicht mehr:

Code: Select all

Warning: mysql_result(): Unable to jump to row 0 on MySQL result index 12 in /home/www/confixx/html/phpMyAdmin/libraries/common.lib.php on line 572
Auf dem server läuft auch ein WBB2 - das läuft ohne probleme. Auch confixx läuft noch problemlos...

ich habe hier irgendwo gelesen, das man php mit den neuen mysql-libs compilieren muss. da ich php sowieso auch updaten wollte, hab ich version 4.3.3 eingespielt - damit müsste ja alles neu compiliert sein. das problem ist leider trotzdem nicht verschwunden!!

bitte helft mir, da mir sonst der betreiber des boards aufs dach steigt!!! :(

dank im vorraus

unique[/code]

arty
Userprojekt
Userprojekt
Posts: 729
Joined: 2002-06-12 10:11

Re: Nach MySQL-update auf 4.1 funktiniert einiges nicht mehr!!!

Post by arty » 2003-12-11 12:26

Hi,

sorry, aber selber schuld! MySQL 4.1.1 ist eine Alphaversion und nicht für Produktivserver gedacht. phpMyAdmin funktioniert zB auch nicht mit MySQL 4.1.1.

Also, wieder zurück zu MySQL 3.23.x oder dem stabilen 4.0.16!

bye
arty

unique
Posts: 40
Joined: 2003-03-24 20:05

Re: Nach MySQL-update auf 4.1 funktiniert einiges nicht mehr!!!

Post by unique » 2003-12-11 12:50

danke für den tip - da war ich wohl etwas übereifrig mit der "neuesten Version"..

die boards funktionieren wieder *puhh-schweissvonderstirnabwisch*

leider funktioniert phpMyAdmin immernoch nicht - nach wie vor die gleiche Fehlermeldung:

Code: Select all

Warning: mysql_result(): Unable to jump to row 0 on MySQL result index 12 in /home/www/confixx/html/phpMyAdmin/libraries/common.lib.php on line 572
woran könnte das liegen?

kase
Posts: 1031
Joined: 2002-10-14 22:56

Re: Nach MySQL-update auf 4.1 funktiniert einiges nicht mehr!!!

Post by kase » 2003-12-11 16:02

Neue PhpMyAdmin Version installieren...

Hatte den gleichen Fehler, und konnte ihn mit der neusten phpmyadmin lösen.

Allerdings glaube ich, gibt es noch keine phpmyadmin, die mit der allerneusten 4.1.1 zusammenarbeitet.

alarenal
Posts: 28
Joined: 2003-12-05 07:54
Location: Iserlohn

Re: Nach MySQL-update auf 4.1 funktiniert einiges nicht mehr!!!

Post by alarenal » 2003-12-11 16:28

Ich hab kürzlich noch mit phpMyAdmin und einer 4.1er gearbeitet und hatte keinerlei Probleme.

gamecrash
Posts: 339
Joined: 2002-05-27 10:52

Re: Nach MySQL-update auf 4.1 funktiniert einiges nicht mehr!!!

Post by gamecrash » 2003-12-11 17:11

www.phpmyadmin.net wrote:phpMyAdmin's MySQL 4.1 support is still experimental
Ist aber eigentlich egal, weil MySQL 4.1 eh noch keiner auf nem produktiven Server einsetzt...

flo
Posts: 2223
Joined: 2002-07-28 13:02
Location: Berlin

Re: Nach MySQL-update auf 4.1 funktiniert einiges nicht mehr!!!

Post by flo » 2003-12-11 17:36

Ich hab das zuhause auch probiert, um das laufen zu lassen, kannst Du das halbe System neu compilieren, und das brächte mir zuviel von meinem Debian durcheinander - bin jetzt auf die neueste 4.0er Version, läuft prima.

flo.

unique
Posts: 40
Joined: 2003-03-24 20:05

Re: Nach MySQL-update auf 4.1 funktiniert einiges nicht mehr!!!

Post by unique » 2003-12-11 18:57

danke - hab die neueste version von pma draufgehauen und schon gings wieder... hatte nur gehofft, dass so´n update möglich ist, ohne das "halbe" system neu zu installieren - naja - jetzt läuft ja alles wieder...

danke für den support..

unique